> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-697c363f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ABHA QR Code

> Fetch the data for ABHA qr code display. <Note>Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update.</Note><Warning>There is no fixed structure for this JSON; it can vary depending on the creation of ABHA. Generate the QR code based on the content of the response body.</Warning>



## OpenAPI

````yaml get /abdm/v1/profile/asset/qr
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile/asset/qr:
    get:
      description: >-
        Fetch the data for ABHA qr code display. <Note>Please cache these
        results locally. We do not recommend calling this API on every page
        load. Evict the cache when there is profile update.</Note><Warning>There
        is no fixed structure for this JSON; it can vary depending on the
        creation of ABHA. Generate the QR code based on the content of the
        response body.</Warning>
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - in: query
          name: format
          schema:
            enum:
              - json
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetQRData'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    AssetQRData:
      properties:
        address:
          type: string
        dist name:
          type: string
        distlgd:
          type: string
        district_name:
          type: string
        dob:
          type: string
        gender:
          type: string
        hid:
          type: string
        hidn:
          type: string
        mobile:
          type: string
        name:
          type: string
        phr:
          type: string
        state name:
          type: string
        statelgd:
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````